Author: Ondřej Surý <ondrej@sury.org>
Description: Add NSEC3 wildcard Bind 9 compatibility patch
Forwarded: no
Last-Update: 2011-11-28

--- a/nsec3.c
+++ b/nsec3.c
@@ -782,6 +782,9 @@ nsec3_answer_wildcard(struct query *quer
 	if(!query->zone->nsec3_soa_rr)
 		return;
 	nsec3_add_nonexist_proof(query, answer, wildcard, db, qname);
+	if(wildcard->parent && wildcard->parent->nsec3_is_exact)
+			    nsec3_add_rrset(query, answer, AUTHORITY_SECTION,
+			    			   	   wildcard->parent->nsec3_cover);
 }
 
 
